ListView

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.utilities.lists
Interface ListView

All Known Implementing Classes:
  BillingListViewSupplier, BillingListViewSysManager, BillingParameterListView, CiiuListView, CommunityListView, CommunityStoresListView, CompanyListView, CompanyListViewSysManagerStart, ComplaintCategoryListView, ExclusiveClientsListView, LogisticOperatorListView, NonClientShopKeeperListViewSupplier, OrderListViewShopKeeper, OrderListViewSupplier, OrderListViewSysManager, OrderViewShopKeeper, OrderViewSupplier, OrderViewSysManager, ParameterListView, PositionListView, ProductListViewShopKeeper, ProductListViewSupplier, ProductListViewSysManager, QuoteListViewShopKeeper, QuoteListViewSupplier, QuoteViewShopKeeper, QuoteViewSupplier, SectionListView, SectorListView, ShopKeeperListViewSupplier, ShopKeeperListViewSysManager, ShoppingCartProductListView, ShoppingCartView, ShoppingListListView, ShoppingListView, StoreListViewShopKeeper, StoreListViewSupplier, SuperOfferListViewShopKeeper, SuperOfferListViewSupplier, SuperOfferListViewSysManager, SupplierListViewShopKeeper, SupplierListViewSysManager, SupplierProductListViewShopKeeper, SupplierProductListViewSupplier, UserListView

    public interface ListView

Author:
  andres esta interfaz proporciona los métodos para recorrer los listados que se necesitan en el sistema y obtener sus datos

Method Summary
`boolean` | `move()` Este método mueve el iterador al siguiente registro de la lista y retorna un booleano indicando si se pudo mover a ese elemento o no.
`java.lang.Object` | `nextElement()` Este método retorna el siguiente elemento dentro del registro en el que se encuentra el iterador actualmente, si retorna null es por que ya se ha llegado al final del registro

Method Detail

### move

    boolean move()

  Este método mueve el iterador al siguiente registro de la lista y retorna un booleano indicando si se pudo mover a ese elemento o no. Este método se debe llamar antes de intentar acceder a los objetos del listado Cuando devuelve false es porque ya se ha llegado alo final de la lista

### nextElement

    java.lang.Object nextElement()

  Este método retorna el siguiente elemento dentro del registro en el que se encuentra el iterador actualmente, si retorna null es por que ya se ha llegado al final del registro

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD